curl --request GET \
--url https://api.eliteprospects.com/v1/games/seasons \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.eliteprospects.com/v1/games/seasons"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.eliteprospects.com/v1/games/seasons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_meta": {
"generatedAt": "<string>",
"offset": 123,
"limit": 123,
"totalRecords": 123
},
"_links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"data": [
{
"slug": "<string>",
"startYear": 123,
"endYear": 123
}
]
}Seasons in games
Seasons the games matching the filter fall in. Use it to build a season filter for the game list. Use the fields parameter to customize response fields.
Authorizations
Query Parameters
Specify custom response with available response fields.
Fields included as default: slug, startYear, endYear
slug, startYear, endYear, * The number of items to skip before starting to collect the result set.
x >= 0The number of items to return.
0 <= x <= 1000Filter by id
Filter by league slug
Filter by season slug
Filter by seasonType
PRESEASON, REGULAR_SEASON, POSTSEASON Filter by dateTime greater or equal to in ISO-8601 format for date and time
Filter by dateTime less than or equal to in ISO-8601 format for date and time
Filter by date greater or equal to in ISO-8601 format for date
Filter by date less than or equal to in ISO-8601 format for date
Filter by homeTeam
Filter by visitingTeam
Filter by team ID
Filter by status
UPCOMING, COMPLETED, POSTPONED Filter by status not equal to
UPCOMING, COMPLETED, POSTPONED Filter by createdAt greater or equal to in ISO-8601 format for date and time
Filter by updatedAt greater or equal to in ISO-8601 format for date and time